%define name xsupplicant
%define version 2.2.0
%define release %mkrel 3

Summary:	Implementation of IEEE 802.1X
Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Url:		http://open1x.sourceforge.net/
Source0:	http://download.sourceforge.net/open1x/XSupplicant-%{version}-src.tar.gz
Source1:	XSupplicantUI.desktop
Patch0:		xsupplicant-2.2.0-fix-link.patch
Patch2:		xsupplicant-2.1.8-ui-Fedora.patch
Patch3:		XSupplicant-2.1.8-ppc-fix.patch
Patch4:		xsupplicant-2.1.9-force-release.patch
Patch5:		xsupplicant-2.2.0-implicit-DSO.patch
License:	GPLv2+ or BSD with advertising
Group:		Networking/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	pcsc-lite
BuildRequires:	openssl-devel
BuildRequires:	pcsc-lite-devel
BuildRequires:  libiw-devel
BuildRequires:	qt4-devel
BuildRequires:	zlib-devel
BuildRequires:	desktop-file-utils
BuildConflicts: docbook-dtd44-xml

%description
An open source implementation of IEEE 802.1X.

IEEE 802.1x is a port based authentication protocol. It can be used in *any*
scenario where one can abstract out the notion of a port. It requires
entitie(s) to play three roles in the authentication process: that of an
supplicant, an authenticator and an authentication server.

%package -n %{name}-devel
Group:		Development/C
Summary:	Development files from %{name}

%description -n %{name}-devel
Development files from %{name}

An open source implementation of IEEE 802.1X.

IEEE 802.1x is a port based authentication protocol. It can be used in *any*
scenario where one can abstract out the notion of a port. It requires
entitie(s) to play three roles in the authentication process: that of an
supplicant, an authenticator and an authentication server.

%package ui
Summary:	Graphical User Interface for xsupplicant
Group:		Networking/Other
License:	GPLv2
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description ui
QT User Interface for XSupplicant.

%package doc
Group:		Networking/Other
Summary:	Implementation of the IEEE 802.1x protocol

%description doc
An open source implementation of IEEE 802.1X.

IEEE 802.1x is a port based authentication protocol. It can be used in *any*
scenario where one can abstract out the notion of a port. It requires
entitie(s) to play three roles in the authentication process: that of an
supplicant, an authenticator and an authentication server.

%prep
%setup -qn XSupplicant-%{version}-src
%patch0 -p0
# Find UI files in a sane system location
%patch2 -p1 -b .Fedora
# Fix PPC (enough to get it building, not run-tested)
%patch3 -p1 -b .ppc
# Force the UI bits to be built as "release", not "debug"
%patch4 -p1 -b .release
# Fix implicit linking issues
%patch5 -p1 -b .DSO

%build
pushd %name
autoreconf -fi
%configure2_5x
%make
popd

pushd %name-ui/xsupptray
%qmake_qt4 XSupplicantUI-unix.pro
%make
popd

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C %name

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
touch $RPM_BUILD_ROOT%{_sysconfdir}/xsupplicant.conf
touch $RPM_BUILD_ROOT%{_sysconfdir}/xsupplicant.user.conf

rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.a

# ui bits
pushd xsupplicant-ui
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/
cp -a Skins $RPM_BUILD_ROOT%{_datadir}/%{name}/
install -p build-release/XSupplicantUI $RPM_BUILD_ROOT%{_bindir}
popd

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp xsupplicant-ui/Skins/Default/icons/prod_color.png $RPM_BUILD_ROOT%{_datadir}/pixmaps/XSupplicantUI.png

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc xsupplicant/AUTHORS xsupplicant/COPYING 
%doc xsupplicant/LICENSE xsupplicant/README 
%doc xsupplicant/doc/README* 
%doc xsupplicant/doc/extending_*
%doc xsupplicant/doc/xsupplicant_eap*
%doc xsupplicant/doc/Xsupplicant-wireless-cards.html
%doc xsupplicant/etc/*.conf
%config(noreplace) %ghost %{_sysconfdir}/xsupplicant.conf
%config(noreplace) %ghost %{_sysconfdir}/xsupplicant.user.conf
%{_bindir}/*
%{_libdir}/libbirddog.so.*
%{_libdir}/libsoftsim*.so
%{_bindir}/xsup_ntpwdhash
%{_sbindir}/xsupplicant

%files -n %{name}-devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libbirddog.so

%files ui
%defattr(-,root,root,-)
%doc xsupplicant-ui/Doc/*.odt  xsupplicant-ui/Doc/*.pdf  xsupplicant-ui/Doc/*.txt
%{_bindir}/XSupplicantUI
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/XSupplicantUI.png
%{_datadir}/%{name}/

%files doc
%defattr(-,root,root)
%doc xsupplicant/doc/standards


%changelog
* Wed Dec 08 2010 Oden Eriksson <oeriksson@mandriva.com> 0:2.2.0-3mdv2011.0
+ Revision: 615738
- the mass rebuild of 2010.1 packages

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 0:2.2.0-2mdv2010.1
+ Revision: 533623
- rebuild

* Sun Feb 21 2010 Funda Wang <fwang@mandriva.org> 0:2.2.0-1mdv2010.1
+ Revision: 508996
- New version 2.2.0
- sync with fedora patches

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - rebuild
    - rebuild
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 03 2007 Olivier Blin <oblin@mandriva.com> 0:1.2.8-2mdv2008.1
+ Revision: 114509
- bump release

* Fri Nov 30 2007 Olivier Blin <oblin@mandriva.com> 0:1.2.8-1mdv2008.1
+ Revision: 114173
- fix doc path
- buildconflicts with docbook-dtd44-xml, which leads to unrecognized characters
- with configure and build for wireless include files
- drop hardcoded autotools requires and use autoreconf


* Sat Jan 13 2007 Olivier Thauvin <nanardon@mandriva.org> 1.2.8-1mdv2007.0
+ Revision: 108369
- 1.2.8

* Sat Aug 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0:1.2.6-1mdv2007.0
+ Revision: 55539
- fix buildrequires
- 1.2.6
- Import xsupplicant

* Sat Feb 18 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0:1.2.3-2mdk
- add BuildRequires: automake1.9

* Sun Feb 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0:1.2.3-1mdk
- 1.2.3

* Sat Dec 03 2005 Andreas Hasenack <andreas@mandriva.com> 0:1.2.1-3mdk
- rebuilt with pcsc-lite 1.2.9

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0:1.2.1-2mdk
- added P0 to make it rebuild against openssl-0.9.8a

* Sun Sep 25 2005 David Walluck <walluck@mandriva.org> 0:1.2.1-1mdk
- 1.2.1
- fix docs build
- disable qt_gremlin build for now

* Sun Aug 07 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 1.0.1-3mdk
- add BuildRequires: lynx

* Fri Aug 05 2005 Arnaud de Lorbeau <devel@mandriva.com> 1.0.1-2mdk
- fix for xsupplicant bug #1083042 from bugs.debian.org (#280502)

* Thu Aug 04 2005 Arnaud de Lorbeau <devel@mandriva.com> 1.0.1-1mdk
- 1.0.1
- drop ssl static patch
- fix 64bit ssl detection

* Sat Jul 24 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 1.0-2mdk
- Add config file
- Add doc
- Add EAP-SIM auth support

* Fri Jun 18 2004 Stefan van der Eijk <stefan@eijk.nu> 1.0-1mdk
- 1.0
- BuildRequires

* Sat May 08 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.0-0.pre2.1mdk
- 1st mdk contrib

